package com.example.appmobile;

import androidx.appcompat.app.AppCompatActivity;
import androidx.fragment.app.FragmentTransaction;

import android.annotation.SuppressLint;
import android.content.Intent;
import android.os.Bundle;
import android.view.View;
import android.widget.Button;
import android.widget.FrameLayout;

public class TasksActivity extends AppCompatActivity {

    private Button btn_open, btn_closed;
    private FrameLayout navBarFrameLayout;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_tasks);

        btn_open = findViewById(R.id.btn_open);
        btn_closed = findViewById(R.id.btn_closed);
        navBarFrameLayout = findViewById(R.id.nav_bar_ticks);

        NavigationFragment navBar = new NavigationFragment();
        FragmentTransaction ft = getSupportFragmentManager().beginTransaction();
        ft.replace(navBarFrameLayout.getId(), navBar);
        ft.commit();
    }

    @SuppressLint("UseCompatLoadingForDrawables")
    public void showOpen(View v){
        btn_open.setBackground(getDrawable(R.drawable.active_back));
        btn_open.setTextColor(getColorStateList(R.color.white));

        btn_closed.setBackground(getDrawable(R.drawable.not_active_back));
        btn_closed.setTextColor(getColorStateList(R.color.main_grey));


        Intent intent = new Intent(this, RegistrationActivity.class);
        startActivity(intent);
    }

    @SuppressLint("UseCompatLoadingForDrawables")
    public void showClosed(View v){
        btn_closed.setBackground(getDrawable(R.drawable.active_back));
        btn_closed.setTextColor(getColorStateList(R.color.white));

        btn_open.setBackground(getDrawable(R.drawable.not_active_back));
        btn_open.setTextColor(getColorStateList(R.color.main_grey));

        Intent intent = new Intent(this, RegistrationActivity.class);
        startActivity(intent);
    }
}